# class DBus::IntrospectXMLParser::AbstractXML::Node

### Public Class Methods

new(node) click to toggle source

    # File lib/dbus/xml.rb, line 38
    def initialize(node)
      @node = node
    end

### Public Instance Methods

[](key) click to toggle source

required methods returns node attribute value

    # File lib/dbus/xml.rb, line 44
    def [](key)
    end

each(xpath) click to toggle source

yields child nodes which match xpath of type AbstractXML::Node

    # File lib/dbus/xml.rb, line 48
    def each(xpath)
    end